Package ru.bitel.bgbilling.modules.cerbercrypt.common.service

# Interface SubscriptionService

    public interface SubscriptionService

Управление подпиской, веб-сервис для использования в новом ЛК.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.String` | `subscriptionClose​(int contractId, int userCardId, int packetId, java.util.Date date, java.lang.String comment)` | Закрытие подписки.
  `java.math.BigDecimal` | `subscriptionCost​(int contractId, int userCardId, java.util.Date date)` | Стоимость текущих подписок для карты договора.
  `void` | `subscriptionDelete​(int contractId, int usercardId, int cardPacketId)` | Удаление подписки.
  `java.lang.String` | `subscriptionOpen​(int contractId, int userCardId, int packetId, java.util.Date date, java.lang.String comment)` | Открытие подписки.

- ## Method Details

  - ### subscriptionDelete

    void subscriptionDelete​(int contractId, int usercardId, int cardPacketId) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException, ru.bitel.bgbilling.common.BGIllegalArgumentException
    Удаление подписки.
    Parameters:
      `contractId` - ID договора
      `usercardId` - ID карты договора
      `cardPacketId` - ID карт-пакета
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`
      `ru.bitel.bgbilling.common.BGIllegalArgumentException`

  - ### subscriptionOpen

    java.lang.String subscriptionOpen​(int contractId, int userCardId, int packetId, java.util.Date date, java.lang.String comment) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException, ru.bitel.bgbilling.common.BGIllegalArgumentException
    Открытие подписки.
    Parameters:
      `contractId` - ID договора
      `userCardId` - ID карты договора
      `packetId` - ID пакета
      `date` - дата, с которой нужно открыть пакет
      `comment` - комментарий
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`
      `ru.bitel.bgbilling.common.BGIllegalArgumentException`

  - ### subscriptionClose

    java.lang.String subscriptionClose​(int contractId, int userCardId, int packetId, java.util.Date date, java.lang.String comment) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException, ru.bitel.bgbilling.common.BGIllegalArgumentException
    Закрытие подписки.
    Parameters:
      `contractId` - ID договора
      `userCardId` - ID карты договора
      `packetId` - ID пакета
      `date` - дата, с которой закрыть
      `comment` - комментарий
    Returns:
      сообщение, если таковое было установлено в скрипте
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`
      `ru.bitel.bgbilling.common.BGIllegalArgumentException`

  - ### subscriptionCost

    java.math.BigDecimal subscriptionCost​(int contractId, int userCardId, java.util.Date date) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException, ru.bitel.bgbilling.common.BGIllegalArgumentException
    Стоимость текущих подписок для карты договора.
    Parameters:
      `contractId` - ID договора
      `userCardId` - ID карты договора
      `date` - дата, на которую нужно вернуть стоимость подписок
    Returns:
      стоимость подписок для карты договора
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`
      `ru.bitel.bgbilling.common.BGIllegalArgumentException`